Verify Proxy Contract
curl --request POST \
--url 'https://api.etherscan.io/v2/api?apikey=' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'address=<string>' \
--data 'expectedimplementation=<string>'import requests
url = "https://api.etherscan.io/v2/api?apikey="
payload = {
"address": "<string>",
"expectedimplementation": "<string>"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({address: '<string>', expectedimplementation: '<string>'})
};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "a7lpxkm9kpcpicx7daftmjifrfhiuhf5vqqnawhkfhzfrcpnxj"
}
Contracts
Verify Proxy Contract
Submit a proxy contract for verification.
POST
/
v2
/
api
Verify Proxy Contract
{
"status": "1",
"message": "OK",
"result": "a7lpxkm9kpcpicx7daftmjifrfhiuhf5vqqnawhkfhzfrcpnxj"
}
Authorizations
Your Etherscan API key.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
Set to contract for this endpoint.
Set to verifyproxycontract for this endpoint.
⌘I